@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

/* styles.css */
.login-container {
    display: flex;
    justify-content: center;
}
*{font-family: 'Poppins', sans-serif;}

html, body{
    font-family: 'Poppins', sans-serif;
    overflow-x: hidden;
    background: #f5f6fa;
}
.login-page{
    font-family: 'Poppins', sans-serif;
    overflow-x: hidden;
    background: #f5f6fa;
}
.login-form {
    max-width: 420px;
    margin: 0 auto;
    width: 100%;
}
button#togglePassword {
    background-color: transparent;
    border: 0px;
    padding: 0;
    position: absolute;
    right: 0;
    width: 50px;
    margin: 0;
    transform: translate(0, -50%);
    top: 50%;
}
.login-form h1{
    text-align: center;
    text-transform: uppercase;
    font-size: 30px;
    padding-bottom: 21px;
}

.empty-space {
    flex: 2;
}

/* bootstrap5 css override */
.container-fluid{
    margin: 0px;
    padding-left: 0px !important;
    padding-right: 0px !important;
   
}

form .form-control {
    margin: 5px 0px 0;
    border-bottom: 0;
    padding: 15px;
    border: 0;
    background: #fff;
    font-size: 14px;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.05);
    border-radius: 0;
        transition: all 0.4s ease-in-out;
}
form .form-control:focus{
    box-shadow: unset !important;
    border-bottom: 1px solid #002f6d !important;
}

/**/
.login-form .brand-name {
    max-width: 230px;
    margin: 0 auto;
    background: #fff;
    box-shadow: 0 0 30px #dde5eb;
    padding: 16px;
}
.brand-name img {
    max-width: 100%;
}
.login-img {
    position: relative;
}
.login-img:before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    background: rgb(0, 47, 109,0.4);
}
.login-img img {
    width: 100%;
    height: 100vh;
    object-fit: cover;
}

.login-form p {
    font-size: 18px;
    text-align: center;
    margin-top: 24px;
}
.form-check.remember-text {
    align-items: center;
    padding: 0;
}
.remember-text input.form-check-input {
    margin:0 10px 0 0;
    width: 20px;
    height: 20px;
    border-radius: 20px !important;
}
.form-check .form-check-label {
    font-size: 14px;
}
.text-forget {
    font-size: 14px;
    display: block;
}
.login-form .form-check input {
    padding: 0;
    margin-bottom: 0;
    cursor: pointer;
    opacity: 0;
    position: absolute;
    z-index: 9;
}

.login-form .form-check label {
  position: relative;
  cursor: pointer;
}

.login-form .form-check label:before {
  content:'';
  -webkit-appearance: none;
  background-color: transparent;
  border: 2px solid #002f6d;
  padding: 10px;
      border-radius: 50%;
  display: inline-block;
  position: relative;
  vertical-align: middle;
  cursor: pointer;
  margin-right: 5px;
}

.login-form .form-check input:checked + label:after {
    content: '';
    display: block;
    position: absolute;
    top: 4px;
    left: 8px;
    width: 7px;
    height: 12px;
    border: solid #002f6d;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
} 
button.btn {
    background: #002f6d;
    border-color: #002f6d;
    width: 100%;
    padding: 12px;
    font-size: 16px;
    margin-top: 15px;
}
.login-page button.btn:hover{
    background: #002f6d;
    border-color: #002f6d;  
}
.login-page .text-primary{
    color: #002f6d !important;  
}
.login-page .form-check-input:checked,.form-check-input:focus {
    background-color: #002f6d;
    border-color: #002f6d;
    box-shadow: none !important;
}
input.form-check-input {
    background: #fff;
    border-color: #d1d1d1;
}

::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color:#e5e9f3 ;
}
::-moz-placeholder { /* Firefox 19+ */
  color:#e5e9f3 ;
}
:-ms-input-placeholder { /* IE 10+ */
  color: #e5e9f3;
}
:-moz-placeholder { /* Firefox 18- */
  color:#e5e9f3 ;
}

.login-form form p.text-danger {
    font-size: 13px;
    margin: 5px 0 0;
    text-align: left;
}